Changelog OpenFTD
===================

+==============+
| Versie 1.0.2 |
+==============+

Released -- maandag 26 november 2007 --

- Het was niet mogelijk om kudos te geven aan gebruikers die een
  FTD posting hadden aangemeld via OpenFTD. Fixed
- Het openen van weblinks vanuit FTD Mail werkte niet. Fixed
- De foutberichten voor het geven en het ophalen van kudos waren verwisseld. Fixed
- Indien je reeds 20 kudos hebt gegeven aan een posting (of niet gemachtigd
  bent om kudos te geven), dan zal dat medegedeeld worden middels een
  popup-venster en zal het kudos venster niet meer getoond worden.
- In de console frontend werd de filename alleen getoond in de postinfo.
  Vanaf nu wordt de filename ook getoond in het postoverzicht.
- De rating wordt vanaf nu ook getoond in de console frontend
- Indien vanuit de console frontend het configuratievenster opgevraagd zou worden en
  deze zou afgesloten worden, dan kon er een dubbele free optreden. Fixed
- Ondersteuning toegevoegd voor Xulrunner 1.9.0 Beta 1
- De HTTP Auth plugins zijn voor de Linux omgevingen opnieuw gecompileerd
  vanwege de ondersteuning van Build ID (dit is vereist voor Fedora 8)

+==============+
| Versie 1.0.1 |
+==============+

Released -- zondag 30 september 2007 --

- De categorien 'First person shooter', 'Platform' en 'Vliegen' ontbraken
  nog in de lijst met mogelijke categorien. Daarnaast stonden nog enkele
  categorien binnen Spelletjes -> Genre op de verkeerde plaats. Bugzilla #134.
- HTTP Auth Plugin toegevoegd voor MIPS omgevingen
- De map /usr/local/lib werd niet meegenomen in de standaardzoekpaden
  in het ./configure script
- Het compileren onder zowel FreeBSD als NetBSD werkte niet. Fixed
- Gebruik een meer generieke manier om bestanden te installeren tijdens
  het 'make install' proces. Dit naar aanleiding van http://forum.ftd.nu/showthread.php?t=331899
- Mogelijke assertion error verholpen. Bugzilla #133

+===========+
| 1.0 Final |
+===========+

Released -- dinsdag 18 september 2007 --

- FTD 3.8.1 compatibiliteit toegevoegd
- In het MyFTD venster werd de MOD-vlag alleen getoond voor goedgekeurde
  postings terwijl dit juist getoond moet worden als een posting nog niet
  goedgekeurd is. Fixed
- Bij FTD 3.8 zijn er nog enkele nieuwe emoticons geintroduceerd. Deze
  zijn nu ook aan OpenFTD toegevoegd
- De nieuwe FTD 3.8 categorie-icoontjes waren nog niet door heel het programma
  programma doorgevoerd. Contributie van Marlon Haenen. Bugzilla #126
- De standaardfilters van OpenFTD konden maar 1 subcategorie tonen
  ook al waren er meerdere aangevinkt (bijv. DVD5 en DVD9, alleen de
  DVD5 postings werden hierbij getoond). Fixed. Bugzilla #129
- Op diverse plaatsen in het programma (FTD Mail, Profielinformatie) werd
  het jaartal niet getoond bij de datums. Fixed. Bugzilla #120
- De NZB diensten NZBIndex en Beta.binaries.nl toegevoegd aan de NZB knop
- De configuratieoptie 'Toon status venster tijdens laden van HTML pagina'
  stond zowel in het tabblad 'Gedrag' als 'Weergave' vermeld. De vermelding
  in het tabblad 'Weergave' is verwijderd. Bugzilla #127
- Foutmeldingen bij de functionaliteit 'Gegevens importeren van extern
  bestand' meer duidelijker gemaakt en vanaf nu wordt de laatst gekozen map
  onthouden bij het importeren en exporteren van bestanden in het 'Toevoegen' venster.
- De velden 'omschrijving' en 'repostbeleid' in het toevoegen-venster
  kwamen niet overeen met de beschrijving op
  http://ftd4linux.nl/wiki/index.php/ConsolePostHowto Fixed
- Mac-menu component bijgewerkt naar versie 0.2
- Zorg ervoor dat alleen de echt benodigde onderdelen van libcurl gebruikt worden.
- Zorg ervoor dat het sluit-icoontje op de diverse tabbladen niet misvormd
  wordt. Bugzilla #130
- In de console frontend wordt vanaf nu de bestandsnaam en par-informatie
  getoond in de XML uitvoer. Bugzilla #115.
- Mogelijke crash in de console frontend verholpen
- Indien een posting in de groep 'Anders.zie.postinfo' was ingedeeld en de
  gebruiker zou op de NZB knop drukken, dan zou deze groep letterlijk
  overgenomen worden. Dit is hierbij aangepast zodat de groep achterwege
  gelaten wordt bij dergelijke postings.

+==================================+
| 1.0 Release Candidate 2 (0.99.2) |
+==================================+

Released -- maandag 3 september 2007 --

- Ondersteuning toegevoegd voor FTD 3.8
- Nieuwe categorien en filters die geintroduceerd zijn in FTD 3.8 toegevoegd
- De optie 'Gebruik FTD 3.8 webscripts' is vanaf nu verwijderd omdat
  ondersteuning voor FTD 3.7.3 en ouder hierbij volledig stopgezet is.
- Bij de XML-gebaseerde opslagmethode zou het updaten altijd crashen. Fixed
- Indien tijdens het updaten een 'bad word' gevonden is, dan zou er
  een dubbele free optreden waardoor het programma zou crashen. Fixed
- Mogelijke niet-geinitialiseerde pointer in het status venster verholpen
- Onder Windows zouden de afbeeldingen in de overzichten niet getoond worden
  indien de installatiemap de tekens '(' of ')' bevat (bijvoorbeeld
  C:\Program Files (x86)\OpenFTD). Fixed
- Indien dbus wel geinstalleerd is, maar niet actief is dan
  zou bij het afsluiten van OpenFTD een crash optreden. Fixed
- Windows ondersteund het gebruik van de functies read() en write() voor
  socket-activiteiten niet. Hiervoor moeten recv() en send() gebruikt worden.
  Verhelpt een crash in de IRC client onder Windows.
- Het verbinden met een IRC server kon mislukken indien de nickname reeds in
  gebruik is en er geen alternatieve nickname is ingesteld. Fixed
- Ongeldige free in de IRC client verholpen en de afhandeling
  van QUIT berichten verbeterd.
- In de diverse overzichten stond nog 'FTD4Linux' vermeld.
  Dit is hierbij veranderd naar 'OpenFTD' en het jaartal is
  ook gelijk aanpast
- De afbeelding en postinformatie zou niet getoond worden indien
  de poster geen omschrijving had opgegegevens tijdens het plaatsen
  van de posting. Fixed.
- Onder Windows zou OpenFTD allerlei vreemde meldingen uitspugen indien de
  gebruikersnaam speciale karakters (zoals ALT+130) bevatte. Dit is nu
  verholpen door alle plekken waar 'open()' en 'fopen()' gebruikt werd
  te vervangen door 'g_open()' en 'g_fopen()' zoals geadviseerd op
  http://bugzilla.gnome.org/show_bug.cgi?id=462110 OpenFTD Bugzilla 113.
- Commentaar toegevoegd in het config venster om aan te duiden dat
  de proxy-gegevens vrijwel nooit ingesteld moeten worden om gebruik
  te kunnen maken van OpenFTD.
- Paar sneltoetsen aangepast omdat deze onder Mac OS X reeds in gebruik waren
- De tags in het configvenster worden vanaf nu alfabetisch getoond

+==================================+
| 1.0 Release Candidate 1 (0.99.1) |
+==================================+

Released -- zondag 12 augustus 2007 --

- Ondersteuning toegevoegd voor FTD 3.8 GB 13 update-methode (waarbij er
  pakketjes ouder dan 2 dagen ook meegenomen worden).
  Indien je geen 'Vriend van FTD' bent, dan kan je in het configuratie-venster
  aangeven dat je geen gebruik wilt maken van de FTD 3.8 webscripts.
- Het updaten gebeurt vanaf nu met meerdere threads tegelijkertijd. Bugzilla #80
- Statusvenster van een nieuwe opmaak voorzien zodat gebruik wordt gemaakt
  van het nieuwe logo (gemaakt door ArmiDuctor)
- Statusvenster aangepast zodat er bij het updaten 1 taak vermeld staat
  voor het downloaden en samenvoegen in plaats van 2 losse. Bij de asynchrome
  update-methode gebeurt dit namelijk tegelijk.
- Recursieve update-functionaliteit weggehaald aangezien deze met
  de nieuwe update-techniek overbodig is.
- Ondersteuning toegevoegd om onder Mac OS X gebruik te maken van de Mac OS X
  menubalk in plaats van een menubalk in het OpenFTD venster zelf.
- Foutafhandeling toegevoegd voor niet-valide gzip pakketjes
- Het tonen van het aantal views in de postinfo was broken. Fixed
- Het tonen van de ratings in het postoverzicht in combinatie met
  de SQLite backend was broken. Fixed
- Het configuratievenster is geherorganiseerd. Bugzilla #16
- Het maximum aantal postings dat in de diverse overzichten getoond
  wordt is vanaf nu instelbaar vanuit het configvenster.
- Ondersteuning toegevoegd om geanimeerde afbeeldingen uit te schakelen. Bugzilla #97
- Ondersteuning toegevoegd om bij de functionaliteit 'Downloaden van Watchlist'
  een volledige synchronisatie uit te voeren in plaats van alleen een download.
  De volledige synchronisatie is hetzelfde gedrag als van de Windows versie van
  FTD, maar hierbij kunnen eventuele reeds aanwezige postings in de watchlist
  verloren gaan. Bugzilla #108
- Indien je gebruik maakt van het downloaden of uploaden van je watchlist, dan
  krijg je normaalgesproken een popupvenster te zien met de mededeling dat
  het downloaden/uploaden geslaagd is. Hierbij werd het verkeerde icoontje
  getoond. Fixed
- Popup-menu toegevoegd aan het tray icon met daarin de opties om
  de GUI te tonen en om het programma af te sluiten. Bugzilla #82
- Het commando /NICK toegevoegd aan de IRC Client. Contributie van FrodoBaggins
- De keyboard-shortcuts werkten al een hele tijd niet. Fixed
- Het openen van weblinks werkte niet onder Vista. Fixed. Bugzilla #93
- De tabel in het MyFTD venster was niet consistent. Fixed. Bugzilla #49
- Tevens ontbrak de MOD-vlag in MyFTD. Vermoedelijk gefixed (geen mogelijkheid
  tot testen). Bugzilla #48
- De extra-tag werd niet getoond in de console frontend. Fixed. Bugzilla #90
- Beperk het aantal postings dat gelijktijdig in het 'nieuw binnen' overzicht
  getoond wordt tot 1000 per categorie. Het maximum aantal postings dat in
  de normale categorien/filters getoond wordt staat nu ingesteld op 1500.
  Indien deze waarde hoger is zal GtkHTML de pagina fout renderen.
  Bugzilla #28
- Indien gebruik gemaakt werd van Subversion snapshots kon het voorkomen
  dat misvormde HTTP GET requests uitgevoerd zouden worden. Fixed
- De knopjes bij de 'ratingsscale' in het configuratievenster werkten niet. Fixed
- Indien er bij een verse installatie een verkeerde gebruikersnaam/wachtwoord
  werd opgegeven en er werd geklikt op een categorie zou het programma crashen.
  Fixed. Bugzilla #101
- In het status venster kon word-wrapping optreden. Fixed
- Het kon voorkomen dat de categorie-tellertjes en de hoeveelheid gekleurde
  posting in het postoverzicht niet overeen kwam. Fixed
- In de lite-frontend werd het postoverzicht niet netjes gesorteerd op datum. Fixed
- Enkele foutcodes werden nog niet goed afgevangen in de console frontend. Fixed
- Het is vanaf nu mogelijk om FTD Postings via de console frontend
  toe te voegen aan de FTD server. Instructies hierover staan op
  http://ftd4linux.nl/wiki/index.php/ConsolePostHowto Bugzilla #88
- Kleine opmaak-verbetering in de watchlist. Bugzilla #95
- Memory leak en mogelijke crash in de IRC client verholpen (trad op
  indien de gebruiker wou reconnecten)
- Diverse andere memory leaks verholpen
- Indien gebruik gemaakt werd van de Mozilla HTML renderer, dan zou de
  NZB-knop in de Watchlist vreemd gedrag vertonen. Fixed
- Nieuwe functionaliteit aan de console frontend toegevoegd
  waarmee de gebruiker een gebruikersnaam en wachtwoord moet invoeren.
  De console frontend zal dan controleren of deze gegevens overeenkomen
  met de gebruikersnaam en wachtwoord die in OpenFTD zijn ingesteld
  en middels de return-value aangeven of deze overeenkomen. Bugzilla #91
- Indien er in de OpenFTD Watcher veel zoektermen waren opgegeven
  kon de interface nogal rommelig overgekomen. Dit is aangepast zodat
  er gebruik wordt gemaakt van 1 tabblad per zoekresultaat in plaats
  van alle zoekresultaten onder elkaar. Bugzilla #106
- In FTD 3.8 GB 12 is het database-formaat ietsjes veranderd.
  Vanaf nu zal OpenFTD de .ftddb eerst controleren of deze
  aangepast moet worden en zal dit dan automatisch doen.
  Hierdoor kunnen postbestanden van FTD 3.8 GB 12 en hoger
  direct gebruikt worden in OpenFTD
- ./configure --disable-gui was WEER al kaduuk geraakt. Fixed
- Indien GTK niet geinstalleerd was zou het compileren van de IRC client
  mislukken. Fixed
- Ondersteuning in de .spec file toegevoegd voor Fedora 7 en OpenSuSE 10.2
- Indien een posting een verkeerde combinatie van tags bevat, dan zou
  de console frontend een foutmelding geven welke niet echt duidelijk was.
  Deze foutmeldingen zijn hierbij meer verduidelijkt.
- Vanaf nu wordt er onderscheid gemaakt tussen nieuwe en reeds gelezen
  FTD Mail's. Zodra je een FTD Mail langer dan 5 seconden open hebt
  staan zal deze automatisch gemarkeerd worden als gelezen. Bugzilla #107
- Om OpenFTD te kunnen compileren zijn minimaal versie 2.6.0 van GLib
  en versie 2.4.0 van GTK+ nodig. Let hier strenger op bij het configure script
- De *D emoticon terug toegevoegd aangezien deze blijkbaar nog gebruikt wordt
- Kleine typefout in de tags verholpen, de bitrate 92kbit moet 96kbit zijn
- Zorg ervoor dat bij de XML-uitvoer van de console frontend eventuele
  corrupte FTD postings niet getoond worden (voorheen werden in dergelijke
  gevallen warning's uitgespuugd). Bugzilla #109
- Het kon voorkomen dat de console frontend gecomprimeerde gzip
  data zou uitspugen. Fixed
- Postings met de status DELETED2 werden niet in de diverse overzichten
  zonder status-icoontje weergegeven. Fixed
- Vanaf versie 2.14.0 van GLib is er een regex functionaliteit toegevoegd.
  Hierdoor is de afhankelijkheid op PCRE overbodig gemaakt. Indien tijdens
  het configure proces GLib 2.14.0 of hoger gedetecteerd wordt, dan zal
  deze methode gebruikt worden en de PCRE detectie overgeslagen worden.
- Indien in het 'Toevoegen van FTD postings' venster gekozen zou worden
  om gegevens uit een extern bestand te importeren en in het file open
  dialog op 'Annuleren' gedrukt zou worden zou het programma crashen. Fixed

+=====================+
| 1.0 Beta 6 (0.98.6) |
+=====================+

Released -- dinsdag 24 april 2007 --

- Vanaf nu heet het project niet meer FTD4Linux maar OpenFTD!
- Alle config/cache bestanden (ftd4linux.posts, ftd4linux.conf, etc.) zijn
  hernoemd naar openftd varianten (openftd.posts, openftd.conf, etc.) en
  bevinden zich vanaf nu in de map ~/.openftd. Een klein conversie-tooltje
  bevindt zich in $installatie_prefix/share/openftd/converteer_oude_config_files.sh
- PAR1 wordt in FTD 3.8 niet meer ondersteund. Ondersteuning hiervoor
  is verwijderd uit het 'Toevoegen' venster.
- Samenvoegen van FTD postings geoptimaliseerd door dubbele postings
  te detecteren en buiten beschouwing te laten. Deze optimalisatie
  heeft ook ervoor gezorgd dat de tellertjes bij de categorien
  de juiste waarden bevatten. Bugzilla #89
- Indien er geen configuratie aanwezig is zal het configuratievenster
  getoond worden. Als hierin op 'Annuleren' wordt geklikt zou er een
  assertion error optreden. Fixed
- Indien gebruik wordt gemaakt van de GtkHTML renderer dan kon het 
  voorkomen dat het programma een paar seconden niet reageerde tijdens
  het openen van FTD postings. Dit gedrag is nu aangepast zodat het
  laden van de afbeeldingen behorende bij de postinfo op de achtergrond
  gebeurd en deze automatisch getoond worden zodra ze volledig geladen zijn.
- Indien er vanuit het postoverzicht geprobeerd werd om een posting
  te openen die reeds geopend was zou een Refresh automatisch plaatsvinden.
  Aangezien dit weer vertraging met zich mee brengt en vaak toch overbodig
  is, is dit gedrag aangepast zodat er geen automatisch refresh plaatsvindt.
- De optie 'Verwijder postings na X dagen' uitgebreid met de opties 75,
  100 en 125 dagen.
- De Day Selector werkte niet in combinatie met de SQLite opslag-
  backend. Fixed. Bugzilla #87
- Het openen van [ftd]12345[/ftd] links vanuit een FTD posting
  gebeurde nog op de voorgrond in plaats van op de achtergrond. Fixed.
- Indien er gebruik gemaakt wordt van de tray icon functionaliteit
  kon het voorkomen dat het programma op alle desktops getoond zou
  worden. Fixed. Bugzilla #79
- Het tray icon gedrag is aangepast zodat indien het programma
  geen focus heeft (en zichtbaar is op de taakbalk), dat deze dan focus
  krijgt en indien het programma wel focus heeft dat deze dan geminimaliseerd
  wordt. Bugzilla #82
- Het is vanaf nu mogelijk om vanuit de watchlist een NZB-site
  aan te roepen. Bugzilla #84
- Het opslaan en inladen van gegevens uit het toevoegen venster naar een
  XML-bestand zou een crash opleveren indien niet alle gegevens waren ingevuld. Fixed
- Ondersteuning toegevoegd voor de [url]http://openftd.org[/url] tag
- Het openen van weblinks onder Windows werkt niet. Fixed. Bugzilla #85
- Het openen van FTD ID's (via de zoekbalk of via het ftd4linux_open tooltje)
  resulteerde in een crash indien gebruik gemaakt wordt van de oude
  opslagmethode. Fixed
- Ondersteuning toegevoegd voor GtkHTML 3.13.92 en hoger
- De tellertjes die bij elke categorie/filter vermeld staan toonden
  de verkeerde waarde. Fixed
- De gcc die bij Mac OS X is meegeleverd kent de compilervlag --rpath niet.
  Hierdoor zou de Mozilla XPCOM test altijd mislukken. Fixed
- Windows 2000 compatibiliteit hersteld. Bugzilla #78
- De Mozilla XPCOM controle in het configure script zou mislukken
  indien er geen C++ compiler geinstalleerd was. Deze situatie wordt
  vanaf nu apart (en duidelijker) afgevangen.
- Indien mozilla/firefox/seamonkey/xulrunner niet geinstalleerd is zou
  het configure script wat loze foutmeldingen uitspugen. Fixed
- Indien er gebruik gemaakt werd van Mozilla als HTML renderer zou het niet
  mogelijk zijn om FTD Mail berichten te bekijken. Fixed. Bugzilla #77
- Bij de SQLite opslag-backend van FTD4Linux wordt gebruik gemaakt van een
  postinfo-cache waarbij postings automatisch na 30 seconden uit het geheugen
  verwijderd worden. Hierdoor zou er een assertion error optreden als de
  gebruiker een modje naar een forum-berichtje wilt laten kijken en de 30
  seconden zijn reeds verstreken. Fixed. Bugzilla #81.
- In de watchlist waren een paar links broken. Fixed
- Vanaf nu wordt er bij elk gecompileerd SVN snapshot aangegeven in
  het statusvenster en bij de communicatie met de FTD server welke
  SVN revisie is gebruikt.
- HTTP Plugin toegevoegd voor Mac OS X (Universal Build)

+=====================+
| 1.0 Beta 5 (0.98.5) |
+=====================+

Released -- 7 maart 2007 --

- Windows Vista ondersteuning toegevoegd!
- Nieuwe frontend toegevoegd: gui_lite. Dit is nog een experimentele
  frontend welke compleet gebruik maakt van normale GTK componenten
  in plaats van een HTML renderer. Deze frontend is gelijk stukken
  sneller en efficienter in geheugenverbruik dan de normale gui.
  De functies 'FTD Mail', 'Watchlist' en 'MyFTD' moeten nog herschreven
  worden, dus in de volgende versie van FTD4Linux komen er nog een
  groot aantal optimalisaties eraan.
- Nieuwe optionele dependency: sqlite3. Indien deze library
  geinstalleerd is zijn de post-bestanden van FTD 3.8 en FTD4Linux
  direct uitwisselbaar met elkaar. Deze methode verbruikt ook veel
  minder geheugen dan de oude opslagmethode.
- Bij de oude opslagmethode (indien sqlite3 niet geinstalleerd is) is
  het samenvoegen van FTD postings meer efficient gemaakt door gebruik
  te maken van een hashtable ipv. een binaire boom.
- Ondersteuning toegevoegd voor FTD 3.7 emoticons. Bugzilla #11
- Ondersteuning toegevoegd voor het tonen van profielen. Bugzilla #21
- Foutje in het downloaden van de watchlist verholpen.
  Indien op de FTD server een watchlist opgeslagen staat
  waarvan postings niet in de lokale FTD4Linux cache staan
  dan zouden deze postings genegeerd worden. Dit gedrag is
  nu aangepast zodat bij dergelijke postings automatisch de
  informatie van de FTD server gedownload wordt. Bugzilla #72
- Indien een posting in de watchlist staat welke niet bekend is
  in de lokale cache zal de info hiervan automatisch van de FTD
  server opgehaald worden en alsnog in de lokale cache bewaard worden.
- Dankzij een bug in FTD 3.7.3 is het mogelijk dat er FTD Postings
  aangemeld worden in nieuwsgroepen die niet op de FTD server bekend
  zijn. Dit kan voor onaangename verrassingen zorgen in FTD4Linux
  zoals assertion errors en segmentation faults. Er is nu om dit probleem
  heengewerkt door dergelijke situaties op te vangen en een warning
  uit te printen in de console.
- Het toevoegen van een lege zoekterm aan de watcher (oftewel
  voeg ALLE postings toe) is nogal zinloos. Dergelijke zoektermen
  worden vanaf nu genegeerd.
- Bijzondere meldingen worden vanaf nu niet meer in de
  console geprint, maar als popup venster getoond.
- De functie 'nieuw FTD account aanmaken' gaf assertion errors, terwijl
  deze eigenlijk niet gegeven mochten worden. Fixed
- Onder 64bit platformen kon het voorkomen dat het openen van
  FTD postings altijd mislukte. Fixed
- Modje functionaliteit geimplementeerd (Bugzilla #22)
- Toolbar code volledig herschreven zodat er gebruik gemaakt
  wordt van de juiste GTK methode hiervoor. Hierdoor komt er nu
  ook automatisch een pijltje tevoorschijn als alle knoppen niet
  op het scherm passen. Bugzilla #8
- Bij elk HTTP request wordt nu meeverzonden of Linux, Windows
  of Darwin/Mac OS X als besturingssysteem gebruikt wordt.
  Hierdoor valt in te zien hoe vaak FTD4Linux gebruikt wordt onder
  andere besturingssystemen.
- Mogelijke dubbele free verholpen
- IRC client losgetrokken uit de GUI en omgedoopt tot aparte
  GObject-gebaseerde library. Hierdoor valt de IRC client makkelijker
  te gebruiken in andere projecten.
- ./configure --disable-gui was weer eens kaduuk geraakt. Fixed
- FTD4Linux automake 1.10 compatible gemaakt
- Mogelijke memory leak in het kudos venster verholpen
- Indien een link in een postinfo het ' teken bevatte, dan zou het
  openen hiervan altijd mislukken. Fixed

Wijzigingen in de IRC client :
- Alle socket code uit de IRC client herschreven zodat er vanaf
  nu alleen gebruik gemaakt wordt van directe socket-functies in
  plaats van GIOChannel. Dit lost gelijk het 100% cpu probleem waar
  sommige mensen last van hadden.
- Indien er vanuit de IRC Client op het knopje 'Verbinding verbreken'
  gedrukt werd, dan zou de lijst met aanwezige gebruikers gevuld
  blijven staan terwijl dit niet hoort. Fixed.
- Ondersteuning toegevoegd voor multi-channels en pm's
- Ondersteuning toegevoegd voor het /join commando
- Indien je op een nickname dubbelklikt zal een PM venster geopend worden
- Voorkom dat nickname's meerdere keren in de lijst met aanwezige gebruikers
  vermeld kunnen komen
- Indien er in een kanaal of PM activiteit plaatsvindt en het tabblad hiervan
  is niet geopend, dan zal het tabblad-knopje rood op gaan kleuren
- Bij PM's wordt de lijst met aanwezige gebruikers niet meer getoond aangezien
  dat niet relevant is voor PM's

+====================================+
| 1.0 Beta 4 Patchlevel 1 (0.98.4.1) |
+====================================+

Released -- 17 november 2006 --

- De optie 'toon IRC Client' werd niet goed bewaard in
  het config venster. Fixed.
- Indien de IRC client geactiveerd stond en je klikte op een
  categorie, dan zou het IRC tabblad geactiveerd worden ipv. het
  overzicht. Fixed. Zelfde fix ook toegepast voor de knop 'Bewerk filters'
- HTTP Keep-alive is weer uitgeschakeld aangezien er teveel problemen
  mee optraden ( http://forum.ftd.nu/showthread.php?t=269359 )
- Indien voor de velden weblink en extra_tag geen gegevens ingevuld
  waren door de poster, dan zouden deze sowieso getoond worden in
  de postinfo. Fixed
- Indien je op een FTD Mailtje reageert, dan zal vanaf nu
  de originele inhoud van het oorspronkelijke FTD Mailtje
  automatisch als [quote] worden vermeld.
- Toon de nieuwsgroepen van alle zoekresultaten in de console frontend.
  Voor de overzichtelijkheid is deze wijziging alleen toegepast indien
  gekozen is voor de XML-uitvoer.
- Foutmelding 'Kan FTD event niet vinden in lokale cache.' veranderd
  in 'Gegevens zijn niet meer beschikbaar op de FTD server'
- Indien tijdens het zoeken op FTD ID naar een posting werd gezocht
  die verwijderd is, dan zou de melding komen dat het FTD event niet
  in de lokale cache stond en zou er een leeg tabblad open blijven staan.
  Dit is nu aangepast zodat het tabblad automatisch gesloten wordt in
  het geval van fouten en de titel van het tabblad wordt nu ook gelijk
  goed gezet wanneer er gezocht wordt naar onbekende FTD postings.
- Indien je dubbelklikt op een FTD Mailtje, dan zal
  automatisch het 'reageer' venster getoond worden.
- Bij het reageren op FTD Mail en het quoten van postinfo-reacties
  kon het voorkomen dat er <br />'s getoond werden. Fixed
- In de FTD4Linux watcher werden postings met een " in de title
  getoond als &quot; Fixed
- In de dayselector werden de postings getoond die geplaatst waren
  tussen de 'geselecteerde dag' -1 en 'geselecteerde dag' 23:00.
  Dit gedrag is nu aangepast zodat alleen de postings van
  'geselecteerde dag' getoond worden.
- Voor sommige omgevingen (zoals CentOS 4.4) is het nodig om gmodule.h
  apart te includen aangezien dit niet door gtk.h wordt gedaan.
- GTK 2.4 compatibility hersteld
- De aantallen die achter de categorien/filters stonden klopten niet. Fixed

+=====================+
| 1.0 Beta 4 (0.98.4) |
+=====================+

Released -- 5 november 2006 --

- FTD4Linux Watcher toegevoegd!
  Dit is de FTD4Linux variant van de FTD Watchdog.
  Hiermee kan je enkele zoektermen opgeven en als
  er een posting aangekondigd worden die aan een
  van de zoektermen voldoet, dan zal deze in een
  aparte lijst bijgehouden worden. Optioneel valt er
  ook automatisch een notification te tonen.
  Om de notifications te kunnen gebruiken zijn
  GTK 2.10.0 of hoger en libnotify 0.4.1 of hoger nodig.
  Indien je deze dependencies niet geinstalleerd hebt
  (of Windows/Mac OS X gebruikt), dan zal teruggevallen
  worden op het gedrag van de Watchlist, namelijk dat er
  een icoontje in de toolbar gaat knipperen.
- Grote delen van de ftd_core zijn herschreven zodat ze
  gebruik maken van GObject's. Hierdoor is het mogelijk
  geworden om met meerdere threads tegelijk acties uit te voeren.
- Dankzij bovenstaande wijziging is het vanaf nu mogelijk
  om FTD postings in de achtergrond te openen. Je kan vanaf
  nu in het postoverzicht meerdere postings aanklikken en
  als je alle postings waar je in geinteresseerd bent geopend
  hebt, dan kan je ze een voor een op het gemakje bekijken.
- Omdat FTD postings op de achtergrond geopend kunnen worden
  wordt er vanaf nu een 'loading' icoontje getoond in de tabblad-
  kop om aan te duiden dat de postinfo nog niet gearriveerd is.
- Indien je een FTD Mail naar iemand gaat sturen of een reactie
  op een posting wilt geven, dan zal je bericht automatisch
  gecontroleerd worden op spelfouten. Hiervoor is gtkspell vereist.
  Als je gtkspell niet geinstalleerd hebt, dan zal er geen
  spellingscontrole aanwezig zijn.
- Betere GNOME integratie. Indien je de pakketten gnome-devel,
  gnomeui-devel en bug-buddy hebt geinstalleerd, dan zal er
  automatisch een bug-report programma getoond worden mocht
  FTD4Linux ooit crashen. Hierdoor is het veel makkelijker
  om crashes in het programma op te sporen en te verhelpen.
- Vanaf nu is het mogelijk om ingevulde gegevens in het
  Toevoegen venster te exporteren naar een .xml bestand
  en deze later terug te importeren. Dit is handig voor
  mensen die bijvoorbeeld series vaak aanmelden. Bugzilla #46
- Het is vanaf nu mogelijk om postinfo-reacties te quoten. Bugzilla #34
- Het up- en downloaden van de watchlist naar de FTD server is
  vanaf nu mogelijk! Bugzilla #13
- Indien je posts in je watchlist hebt staan en deze veranderen
  tijdens het updaten van status, dan valt dit vanaf nu duidelijk
  te zien in het Watchlist tabblad, omdat deze postings daar een
  andere kleur krijgen de rest. Bugzilla #23
- Geintegreerde IRC Client toegevoegd. Hiermee kan je direct
  verbinden met de IRC Server van FTD en daar mee kletsen en
  eventuele vragen stellen.
- M3U-gebaseerde postings die door FTD4Linux gepost waren, waren niet
  volledig zichtbaar onder de Windows versie van FTD. Alleen het
  eerste bestand uit de M3U playlist werd getoond. Bugzilla #63. Fixed
- Het ftd4linux_open programma werkte alleen met oude DBus
  versies (voor 0.9). Fixed
- Handmatig opgegeven tags werden niet weergeven in de post-
  info. Fixed. Bugzilla #47
- Postings met & in de titel krijgen als notebook label &amp.
  Fixed. Bugzilla #54
- Foutafhandeling vriendelijker gemaakt. Er wordt vanaf nu
  onderscheid gemaakt tussen echte foutmeldingen en mededelingen.
  Een voorbeeld hiervan valt onder andere te vinden in de
  mededeling dat je FTD Posting is toegevoegd, maar nog beoordeeld
  moet worden door de modjes. Bugzilla #52
- ./configure --disable-gui was wederom kaduuk. Fixed
- Indien het watchlist tabblad geopend stond en er werden vanuit de
  andere tabbladen FTD postings toegevoegd aan de watchlist, dan werden
  deze niet getoond in de watchlist zelf. Fixed. Bugzilla #59
- Zoeken op tagnaam is vanaf nu ook mogelijk! Bugzilla #42
- Indien een categorie/filter geselecteerd is, daarna een willekeurige
  posting geopend wordt en weer op dezelfde categorie/filter geklikt zou
  worden zou er niets gebeuren. Fixed. Bugzilla #57
- Het kon af en toe voorkomen dat foutmeldingen 'achter' het actieve
  venster kwamen te liggen. Vanaf nu is dat niet meer het geval omdat
  foutmeldingen de stempel 'modal' hebben meegekregen.
- Enkele memory leaks verholpen
- HTTP keep-alive werkte niet goed. Fixed. het updaten zou hierdoor
  iets sneller moeten gaan dan voorheen
- Indien een FTD posting verwijderd is, wordt vanaf nu ook de
  reden getoond waarom de posting verwijderd is. Bugzilla #56
- De GtkHTML plugin beschikt nu over een context-menu (die
  tevoorschijn komt als je op de rechtermuisknop drukt) met
  daarin de optie om de geselecteerde tekst te kopieren.
  Dit is onderdeel van Bugzilla #58. Bij de Mozilla plugin is
  dit truukje nog niet geimplementeerd (bij gebrek aan publieke
  API functies).
- Het standaardbericht in FTD Mail werkte niet onder Win32 fixed.
- DBUS is wel beschikbaar onder Mac OS X (via fink), maar werkt niet
  goed. Indien er DBUS fouten optreden, negeer deze onder Mac OS X.
- HTTP Plugin voor Ubuntu/PPC toegevoegd
- Mogelijke crashes/foutmeldingen met libxslt 1.1.18 verholpen. Bugzilla #66
- Bij de Mozilla HTML renderer werd de inhoud van FTD Mailtjes
  in het midden uitgelijnd terwijl dit niet de bedoeling was. Fixed
- Verwijderde postings werden niet juist getoond in de watchlist. Fixed
- Sommige HTML pagina's zijn slecht te lezen met de GtkHTML
  renderer en donkere thema's. Bugzilla #67. Fixed
- Indien FTD4Linux geinstalleerd was in een pad dat spaties bevat, dan zouden
  afbeeldingen niet goed getoond worden met de GtkHTML renderer. Fixed.

+=====================+
| 1.0 Beta 3 (0.98.3) |
+=====================+

Released -- 11 september 2006 --

- Vanaf nu wordt er 1 programma gecompileerd voor de GUI.
  Binnen deze enkele GUI kan dan vanuit het config venster
  gekozen worden welke HTML renderer (Mozilla/GTKHTML) er
  gebruikt dient te worden. Alle beschikbare HTML renderers
  worden aangeboden in de vorm van aparte plugins, waardoor
  heel gemakkelijk later nog andere HTML renderers toegevoegd
  kunnen worden. (Bugzilla #25)
- Ondersteuning toegevoegd voor FTD 3.7 avatars (Bugzilla #12)
- Vanaf nu wordt een NZB knop in elke FTD posting getoond!
  Zodra op deze knop gedrukt wordt zal een popup venster getoond
  worden waarbij je zelf kan kiezen welke NZB dienst je wilt
  raadplegen. (Bugzilla #27)
- Indien er onder een hoofdcategorie geen filters aanwezig zijn, dan
  zal deze categorie in zijn geheel niet getoond worden. (Bugzilla #2)
- Vanaf nu komt er een contextmenu tevoorschijn als je met de rechter-
  muisknop op een categorie/filter klikt waarbij je kan kiezen voor
  de opties 'Verwijder filter' en 'Bewerk filter'. (Bugzilla #40)
- Er wordt vanaf nu automatisch gecontroleerd op nieuwe FTD Mail.
  Zodra er nieuwe mail binnen is, zal het icoontje in de toolbar
  gaan knipperen. (Bugzilla #15)
- Sinds de migratie naar FTD 3.7, was het tonen van het aantal
  postings per categorie/filter broken. Fixed. (Bugzilla #5)
- Het is vanaf nu mogelijk om bij ftd:// links in andere browsers automatisch
  FTD4Linux op te starten via het hulpprogrammaatje 'ftd4linux_open'
- Het is vanaf nu niet meer mogelijk om FTD4Linux meerdere keren tegelijk
  op te starten. Indien de gebruiker dit toch probeerd zal automatisch
  de oude instantie van het programma geactiveerd worden.
- Het minimaliseren en maximaliseren van FTD4Linux werkte af en
  toe problematisch (vooral onder GTK 2.10.0+). Fixed
- Links in de categorie-overzichten maakten gebruik van een standaard-
  kleur in plaats van de gewenste kleur. Gemeld door slazh. Fixed
- Voorkom dat het 'Toevoegen' venster vergroot wordt als er
  grote teksten ingevoerd worden. (Bugzilla #30)
- Term 'FTD Postings' veranderd in 'Postoverzicht' (verzoek van collector)
- Heleboel overbodige oude debug code verwijderd
- GLib 2.6 compatibility hersteld (Bugzilla #10)
- De config optie om het status venster niet te tonen
  was een tijdje broken. Fixed (Bugzilla #31)
- Vanaf nu is het instelbaar of tabbed browsing gedrag bij
  de postinfo geactiveerd moet worden of niet. (Bugzilla #37)
- Het toevoegen venster is vanaf nu groter (in de hoogte) waardoor
  het kiezen van de tags makkelijker is. (Bugzilla #38)
- Bij een filter duplicate actie gingen alle opgegeven tags verloren. Fixed
- ./configure --disable-gui was weer eens broken geraakt. Fixed
- Vanaf nu zit er geen depency meer op PCRE voor de ftd_core en console
  frontend; op de GUI zit deze nog wel. Met deze wijziging is het mogelijk
  om een externe regexp library te gebruiken, zoals de QT Regexp library
  voor de QT/KDE versie van FTD4Linux (waar Thomas mee bezig was)
- Begin gemaakt met CeGCC compatibiliteit (ook bekend als PocketPC/WinCE)
- Vanaf nu worden de bestanden ~/.ftd4linux/ftd4linux.posts en
  ~/.ftd4linux/ftd4linux.groups opgeslagen in het gzip formaat (met de
  extensie .gz). Hierdoor is er minder schijfruimte nodig wat zeer handig
  is voor gebruik op PocketPC's
- In de GtkHTML versie reageren vanaf nu de watchlist knoppen goed
  en het icoontje verandert ook gelijk als je erop klikt. Bugzilla #17
- De http auth plugin voor 32bits en 64bits linux omgevingen (gcc4 compatible)
  is opnieuw gecompileerd met de compiler vlag -fPIC. Hiermee klagen Gentoo
  en Fedora als het goed is niet meer over text relocations.
- Onder Windows ondersteuning toegevoegd voor het gebruik van de ActiveX versie
  van Firefox ( http://www.iol.ie/~locka/mozilla/control.htm ) als HTML renderer.

+====================================+
| 1.0 Beta 2 Patchlevel 1 (0.98.2.1) |
+====================================+

Released -- 15 juli 2006 --

- Indien de groepsfilter functionaliteit aan stond, kon het programma
  nogal makkelijk crashen. Fixed (Bugzilla #6)
- De optie 'Gebruik oude lettertype instellingen' is niet relevant
  voor de GtkHTML versie. Vanaf nu is deze optie alleen nog maar
  zichtbaar in de Mozilla gui
- De mozilla check onder Mac OS X werkte niet. Fixed (bugzilla #4)
- Zorg ervoor dat het niet meer verplicht is om ldconfig te draaien
  om FTD4Linux te kunnen gebruiken
- Indien er in het repostbeleid url's voorkomen waren deze niet klikbaar. Fixed
- Niet alle http auth plugins waren in de 0.98.2 tarball meegeleverd. Fixed (Bugzilla #9)
- Mogelijke assertion error verholpen die optrad indien de first time config mislukte
- SELinux detectie ingebouwd in het configure script zodat er bij bepaalde
  acties van het compileerproces hier beter rekening mee gehouden kan worden
- Onder Gentoo wordt de 'stack-smash-protector' test overgeslagen aangezien
  deze compileroptie momenteel broken is onder Gentoo

+=====================+
| 1.0 Beta 2 (0.98.2) |
+=====================+

Released -- 9 juli 2006 --

- Ondersteuning toegevoegd voor het 'Toevoegen van FTD Postings'
  (Vele dank hiervoor aan Thomas Schaap)
- Vanuit MyFTD is het mogelijk om status-wijzigingen toe te passen
- Nieuwe grafische frontend toegevoegd: ftd4linux_gui_gtkhtml
  Deze frontend ziet er precies hetzelfde uit als de normale GUI, alleen
  wordt er hierbij gebruik gemaakt van GtkHTML in plaats van Mozilla
  om de HTML pagina's te tonen. Dit heeft als voordeel dat de lettertypen
  er beter uitzien (hetzelfde als de rest van de GUI) en dat deze library
  heel makkelijk ingezet kan worden in Win32 en Mac OS X omgevingen.
  Het nadeel van GtkHTML is dat er geen ondersteuning inzit voor JavaScript
  en CSS waardoor er iets minder toeters-en-bellen mogelijk zijn, maar de
  oorspronkelijke functionaliteit is volledig bewaard gebleven.
- Tijdens het configure script wordt nu automatisch gekeken of GtkHTML of
  Mozilla geinstalleerd staan (of allebei)
- Ondersteuning toegevoegd voor Mozilla XULRunner en Seamonkey als HTML
  rendering engines.
- HTTP Auth Plugin's toegevoegd voor PPC, SPARC, Mac OS X86 (fink),
  Mac OS X86 (darwinports) en FreeBSD omgevingen
- Het gehele project is nu opgesplitst en enkele losse shared libraries.
  Dit resulteert in kleinere programma's.
- De HTTP Auth Plugin wordt vanaf nu in $libdir geinstalleerd. Dit lost
  de SELinux problemen onder Fedora Core op
- HTTP Auth Plugin detectie in het configure script verbeterd
- LibXSLT afhankelijkheid verwijderd van de console frontend
- OpenSSL afhankelijkheid verwijderd uit het configure script omdat deze
  niet meer nodig is
- Sinds GTK 2.9.0 is er binnen GTK ondersteuning aanwezig voor tray-icon's.
  Het configure script controleert nu of je GTK 2.9.0 of hoger hebt geinstalleerd
  en zal in dat geval hier gebruik van maken. Dit lost ook gelijk het
  probleem op dat het tray-icon te groot is voor je startbalk/notification area
- Intern worden vanaf nu alle FTD postings bijgehouden in een binaire boom.
  Dit was voorheen een linked list. Deze omschakeling zou een snelheidsverbetering
  tot gevolg moeten hebben en dient het direct zoeken naar FTD postings sneller te zijn.
- Het tonen van afbeeldingen in FTD postings was al een tijdje broken. Fixed
- Alle HTML pagina's grotendeels herschreven zodat ze beter werken met GtkHTML
  en er wat frisser uitzien onder Mozilla
- Alle URL's die binnen een postinfo ontdekt worden zijn vanaf nu klikbaar.
  De standaardbrowser van de window manager zal hierbij aangeroepen worden.
- Recursive update functionaliteit toegevoegd. Met deze functie
  kunnen alle beschikbare FTD postings in 1x binnengehaald worden.
  Dezelfde functionaliteit valt ondertussen ook te bereiken door
  een instelling op www.ftd.nu aan te passen
- Diverse aanpassingen in de console frontend waardoor deze meer
  duidelijke data uitspuugd dan voorheen
- Vanuit de console frontend valt vanaf nu ook een zoekterm te
  gebruiken om te zoeken naar FTD postings
- Extra command line optie toegevoegd aan de console frontend, namelijk
  --offline. Hiermee kan geforceerd worden dat alleen van de lokale
  cache gebruik gemaakt wordt
- Als we op FTD id moeten zoeken en het FTD event is nog niet aanwezig
  in de lokale cache, dan dient deze online opgezocht te worden.
  Bug gemeld door SpaceCabbie
- ftd:// links worden vanaf nu goed geparsed en zijn ook vanuit de
  postinfo tabbladen operationeel
- Diverse memory leaks verholpen
- Sommige [quote]'s werden niet goed getoond. Fixed

Wijzigingen door Thomas Schaap
- Toevoegen van FTD postings
- Via de console frontend kan nu de description, announcement,
  repostbeleid en image bekeken worden.
- Crash verholpen die optrad indien gebruik gemaakt werd van tags
- Het watchlist-icoontje in de postinfo tabbladen veranderde niet
  als je erop klikte. Fixed in de Mozilla GUI
- Als in een postinfo tabblad op het watchlist icoontje klikte en
  ging daarna terug naar het postoverzicht tabblad, dan zou het
  watchlist icoontje daar altijd uit blijven. Fixed in de Mozilla GUI
- De werking van alle functies in de ftd_core gedocumenteerd

+=====================+
| 1.0 Beta 1 (0.98.1) |
+=====================+

Released -- 5 februari 2006 --

- Compatible met FTD 3.7.3
- Mozilla/Firefox detectie onder Gentoo verbeterd
- Naam van het project vanuit de configure scripts aangepast van
  'ftd' naar 'ftd4linux'.
- Versienummering aangepast zodat naamgevingsconflicten tussen bepaalde
  package managers verholpen zijn. (Zie hieronder voor meer informatie)
- Diverse warnings/errors in de console frontend verholpen
- Taginformatie (FTD 3.7 feature) wordt vanaf nu netjes verwerkt en
  getoond binnen de postinfo tabbladen
- Voorkom dat postinfo reacties naast een <ENTER> ook een<BR /> meekrijgen.
  Dit is voor FTD 3.7 niet meer nodig (voor FTD 3.6 was dit nog wel het geval)
- Bepaalde [img] tags werden niet getoond. Fixed
- FTD4Linux geschikt gemaakt voor Win32 (waarbij Mozilla via ActiveX benaderd
  wordt in plaats van via GtkEmbedMoz (wat nog steeds niet stabiel is)
- Alternatief lettertypegebruik geimplementeerd zoals beschreven in
  http://forum.ftd.nu/showthread.php?t=208126
- Binnen de FTD mail werd elke ontvangen mail 2x getoond.
  Dit zou kunnen leiden tot segfaults. Fixed
- Bug betreffende het parsen van [quote] tags verholpen
- GTK 2.4 compile bugfix
- Categorieoverzicht mooier gemaakt (is alleen zichtbaar bij
  bepaalde GTK thema's)
- In FTD 3.7 wordt het nieuwsgroepenfilter standaard niet getoond.
  Binnen FTD4Linux wordt deze standaardactie nu ook aangehouden
- Mogelijke segfault in de first-time-config verholpen
- Indien FTD4Linux geinstalleerd stond in een prefix met
  de karakters '(' of ')' erin (zoals C:\Program Files (x86)\)
  zouden de HTML pagina's niet goed getoond worden. Fixed.
- Het statusvenster valt vanaf nu wel voortijdig te sluiten
  (voor het geval deze niet automatisch weggaat)
- Bij het ophalen van de lijst met postings wordt vanaf nu ook aangegeven
  hoeveel bestanden reeds verwerkt zijn en hoeveel er nog gedaan moeten worden.
  Dit gegeven en ook de voortgang van het verwerken van FTD postings wordt
  vanaf nu in een progressbar getoond in het hoofdvenster.
- Het opslaan van forumreacties gebeurt vanaf nu niet meer in
  een array van maximaal 250 elementen, maar in een linked list
  welke in feite oneindig groot is. Dit lost het ontbreken van forumreacties
  op waar bepaalde FTD postings last van hadden.
- Warnings betreffende PCRE UTF8 ondersteuning verholpen (sommige Linux
  en Mac OS X omgevingen hadden hier last van)

Wijzigingen door Thomas Schaap
- Mogelijke segfault verholpen die optrad indien er meerdere verwijderde
  postings aanwezig waren in een updatesessie
- Implementatie van het FTD 3.7 categorie- en filtersysteem
- Mogelijkheid toegevoegd om zelf filters samen te stellen
- Tien eventinfos open hebben liet geen enkele nieuwe toe totdat de laatste
  was gesloten. Fixed
- In console client weergave van de verschillende tags in elke weergave
  ingebouwd, behalve het grote geprinte overzicht.
- Diverse memleaks en mogelijke segfaults verholpen

Wijzigingen door Dennis Kaarsemaker
- Zorg ervoor dat het 'make install' commando de $DESTDIR respecteerd

Wat de versienummering van het project betreft hebben we
een aanpassing moeten doorvoeren om zo compatible te blijven
met de diverse package managers die in omloop zijn.
De nieuwe nummering ziet er nu als volgt uit :
0.98.x  -- FTD4Linux Beta versies
0.99.x  -- FTD4Linux Release Candidate versies
1.0     -- FTD4Linux 1.0 Final versie

+=============+
| 1.0 Alpha 3 |
+=============+

Released -- 7 januari 2006 --

- Compatible met FTD 3.7.2
- De FTD 3.7 emoticons worden vanaf nu goed getoond
- Het quoten op gebruikersnaam (dus bijv. [quote=gebruiker]) operationeel gemaakt
- Wordwrapping geactiveerd voor het 'reageer op ftd postings' venster

Vanwege het nieuwe emoticons en quote systeem is er besloten om gebruik te maken
van pcre. Dit is een library voor reguliere expressies die op vrijwel elke Linux
distributie meegeleverd is.

+=============+
| 1.0 Alpha 2 |
+=============+

Released -- 4 januari 2006 --

- Compatible met de nieuwe update methode die gebruikt wordt in FTD 3.7.1
- Generic plugins toegevoegd voor Linux (32 en 64bit), Mac OS X en Win32 omgevingen.
  Tijdens het draaien van het configure script wordt automatisch een bruikbare
  plugin gezocht. (Mocht geen enkele van deze plugins werken dan dit gemeld worden
  op het FTD Forum)
- Mogelijke assertion in ftd_groups.c verholpen
- Mozilla detectie vanuit het configure script verbeterd
- Onder Mac OS X wordt vanaf nu indien er op een link geklikt wordt de
  standaardbrowser geopend (was voorheen een foutmelding)
- Diverse status venster lockups verholpen
- Indien er bij het parsen van de gegevens van de FTD server iets mis gaat
  wordt deze nu netjes gemeld aan de gebruiker via de GUI.
- Foutafhandeling binnen het signup onderdeel verbeterd
- Het drukken op de knop 'Toevoegen van FTD postings' geeft nu een
  'Not yet implemented' foutmelding in plaats van een niet-werkend venster.
- Icoontjes in de watchlist werden niet getoond. Fixed
- Nieuwe status van FTD postings toegevoegd. Direct verwijderd.
  Dit lost gelijk de warning 'onbekende poststatus -3' op

+=============+
| 1.0 Alpha 1 |
+=============+

Released -- 25 december 2005 --

- Eerste versie van FTD4Linux die compatible is met de nieuwe FTD 3.7 database
  Bevat nog niet alle FTD 3.7 functionaliteiten

+=============+
| 0.10d FINAL |
+=============+

Released -- 16 december 2005 --

- Compile problemen onder Ubuntu verholpen
- Indien er fouten optraden in het configure script werden deze niet
  altijd getoond aan de gebruiker. Fixed
- OpenSSL detectie vanuit het configure script verbeterd. Vanaf nu is het pakket
  openssl-devel echt VERPLICHT om geinstalleerd te hebben aangezien deze bij diverse
  linux distributie's (zoals Ubuntu en SuSE) ervoor zorgt dat de symlink
  /usr/lib/libcrypto.so bestaat (bij het ontbreken van deze symlink mislukt het
  compileren van FTD4Linux).
- Indien je op het knopje 'Controleer' in het FTD Mail venster klikte zou het
  programma crashen. Fixed
- Mogelijke buffer overflow in de http code verholpen waardoor het niet mogelijk was
  om lange FTD Mail's te versturen en lange post-reactie's te plaatsen.

Wijzigingen door Yosh de Vos
- Nummering in het postinfo overzicht ging de mist in indien FStart = 0

+===================+
| 0.10c Public Beta |
+===================+

Released -- 27 november 2005 --

- Start menu snelkoppeling toegevoegd voor Linux omgevingen
- Voor 64bit platformen zou het configure script nu meer instellingen
  uit zichzelf dienen te detecten ipv. dat de gebruiker dit handmatig
  dient in te stellen
- Als er op de FTD server een update limiet actief is (binnen 10
  minuten mag je niet voor een 2e keer updaten) dan wordt dit netjes
  afgehandeld binnen het programma
- Extra foutafhandeling toegevoegd voor het geval de FTD server overbelast is
- Mac OS X compile bugfix
- Foutje in het RPM bouw script verholpen waardoor het niet
  mogelijk was om extra command line argumenten aan het 'ftd'
  script mee te geven
- Klein foutje in de foutafhandeling van DNS problemen verholpen
- Bugje in het verwerken van de proxy instellingen verholpen

Wijzigingen door Gerie Langeveld/Molniya
- Klein foutje in de GUI update code verholpen
- In het FTD Mail venster klopte de kop 'Datum ontvangen' niet,
  vervangen door 'Datum verzonden'
- Diverse optimalisaties doorgevoerd in de update code
- Optimalisatie doorgevoerd in de config code
- Diverse memory leaks verholpen
- Overbodige code opgeruimd
- Bugje in het status venster verholpen


+===================+
| 0.10b Public Beta |
+===================+

Released -- 4 juli 2005 --

- Indien er een reactie geplaatst werd op een FTD posting
  werden alle <ENTER>'s niet goed verwerkt. Was in versie
  0.10a niet volledig gefixed.
- Tray icon ondersteuning toegevoegd aan de win32 versie
- Overbodige/redundante HTML uit het gecategoriseerde
  overzicht van FTD postings verwijderd/vervangen.
- Bugfix: Indien configure uitgevoerd zou worden met de
  optie --disable-gui dan zou het compileren altijd
  mislukken. Fixed
- Mozilla afhankelijkheid voor de console frontend verwijderd.

Contributions van Yosh de Vos :
- In de postinfo werden afbeeldingen nooit getoond. Fixed

+===================+
| 0.10a Public Beta |
+===================+

Released -- 12 juni 2005 --

- Indien er een reactie geplaatst werd op een FTD posting
  werden alle <ENTER>'s niet goed verwerkt. Fixed
- Paden /usr/lib/MozillaFirefox/include/gtkembedmoz en
  /usr/lib/MozillaFirefox toegevoegd aan het lijstje met
  standaard-paden in het configure-script.
- Bugfix: indien op FTD ID gezocht wordt en de betreffende
  FTD posting stond niet in de lokale cache, dan zou de
  posting 2x toegevoegd worden aan de lijst.
- Bugfix: Het programma zou vastlopen indien er na de handeling
  hierboven op de knop Updaten werd gedrukt.
- De ftd_event_list_merge routine herschreven zodat deze
  alleen de nieuwe postings behandeld ipv. de volledige cache.
  Dit levert wat extra performance-winst op tijdens het updaten
- Diverse verwijzingen naar experimentele code verwijderd aangezien
  deze alleen voor de devel-1.0 branch van toepassing zijn

Contributions van Yosh de Vos :
- Goed tonen van .zip bestanden in het postoverzicht
- Oude postings worden in een andere kleur in het postoverzicht getoond dan nieuwe postings
- In de categorielijst worden vanaf nu per categorie de aantallen vermeld van de laatste update

+==================+
| 0.10 Public Beta |
+==================+

Released -- 29 mei 2005 --

- Vanwege de vele libcurl problemen zijn alle libcurl instructies
  vervangen door de HTTP functies uit FTD4Linux 0.1/0.2. Hierdoor
  wordt gelijk de foutmelding 'Fout tijdens verzenden van data
  naar server' opgelost.
- Hangend statusvenster bij een update fout opgelost
- Indien vanuit de FTD Metasearch een post aangeklikt wordt, maar
  deze niet in de lokale cache aanwezig is zal deze automatisch van
  de FTD server gedownload worden. Dit lost gelijk een segfault
  op indien op een ftd:// link gedrukt werd vanuit het Vrienden tabblad.
- Compile errors onder FreeBSD verholpen.
- De opmaak van de tabellen in het postoverzicht wordt niet meer
  vern**kt indien er hele lange titels in staan.
- Mozilla detectie onder 64bit systemen verbeterd
- Het programma geeft automatisch een melding indien er een nieuwere
  versie van FTD uitgebracht is en er verplicht geupgraded moet worden.
  (Het betreft hier FTD zelf; een nieuwe versie van FTD4Linux zal dan
   spoedig volgen)
- In sommige gevallen werd de foutmelding 'Ongeldige gebruikersnaam/wachtwoord'
  getoond tijdens het openen van de postinfo terwijl deze niet terecht was.
- Indien er geen beschikbare MyFTD vermeldingen waren, werd een lege pagina
  getoond. Fixed
- Vanaf nu worden in de title van het FTD4Linux venster vermeld hoeveel
  ingelogde en geregistreerde leden er zijn.
- Het aantal geregistreerde leden valt nu ook met de console frontend
  te achterhalen (optie -m)
- Bij het aanmaken van nieuwe FTD accounts kan de melding 'E0' geretourneerd
  worden (welke een ledenstop aangeeft). Deze melding werd voorheen niet
  afgehandeld. Fixed
- Indien er in het config venster meerdere malen de optie 'Activeer
  groepsfilter' aan/uitgezet zou worden zou het tabblad niet meer
  getoond worden. Fixed
- Indien er via de zoekbalk naar een FTD ID gezocht wordt zal het
  programma nu de gegevens van de FTD server achterhalen indien
  het FTD ID niet in de lokale cache aanwezig is.
- Win32 support voor FTD4Linux (GUI Frontend). Helaas zit er nog wel
  een bug in het mozilla component voor Windows waardoor het programma
  kan crashen (ongeldige bewerking) indien er tabbladen afgesloten worden.
  (Voor meer info over dit probleem zie de volgende url :
   https://bugzilla.mozilla.org/show_bug.cgi?id=256560).
  Voor de rest zou het programma probleemloos moeten werken onder Win32.

+=================+
| 0.9 Public Beta |
+=================+

Released -- 1 januari 2005 --

- Generic HTTP Auth plugin toegevoegd aan het project. Dit is een speciale
  versie van de http auth plugin welke op vrijwel alle linux distributie's
  zou moeten werken. Tijdens de configure procedure wordt de werking van
  deze generic plugin getest en indien deze werkt zal deze geintegreerd
  worden in het programma. Indien de generic plugin niet werkt kan een
  geschiktere plugin van de FTD4Linux website gedownload worden en op
  de ouderwetse manier ingesteld worden.
- Statusvenster opnieuw geimplementeerd. Hierdoor wordt tijdens intensieve
  taken voorkomen dat het lijkt alsof het programma is vastgelopen.
- Verbeterde externe browser detectie (met dank aan MyDyingBride van het FTD Forum)
- Nieuwe iconen (gemaakt door Medah) toegevoegd aan het programma. Indien deze
  iconen ontbreken ($PREFIX/share/ftd/gui) dan zullen de ingebouwde iconen van
  FTD4Linux gebruikt worden.
- Vrienden van FTD tabblad geimplementeerd (kan geactiveerd worden vanuit
  de toolbar).
- De Mozilla+GTK2 controle in het configure script was al een tijdje broken. Fixed
- Het licentie-bestand COPYING ontbrak in de vorige release. Fixed
- Nieuwe optie toegevoegd aan het configuratievenster: "Toon nieuwsgroepenfilter in hoofdvenster".
  Deze optie staat standaard aan.
- Vanaf nu worden in de overzichten de datum en tijd van aanmaken getoond
- Indien meerdere postinfo tabbladen open stonden en er werd op de refresh knop gedrukt, kwam
  het voor dat naar een verkeerd tabblad gesprongen werd. Fixed
- In het nieuwsgroepenfilter kwam de optie '* Alle nieuwsgroepen' bij sommige linux distributie's
  niet bovenaan de lijst te staan. Workaround hiervoor toegevoegd.
- Configure script aangepast zodat het script afgebroken wordt indien er depencies voor de GUI
  ontbreken (en de optie --enable-gui=no NIET is meegegeven).
- De cache-instelling in het configuratievenster uitgebreid met meer opties (1 t/m 7 weken)
- Indien een audio-posting in de watchlist was geplaatst welke gebruik maakt van losse MP3
  bestanden, dan zou deze als bestandsnaam '<null>' meekrijgen in het watchlistoverzicht
- In de watchlist wordt vanaf nu het 'wereldbolletje' getoond indien een FTD posting een URL
  bevat (en je kan er uiteraard ook op klikken om de URL te openen in een externe browser)
- MyFTD wordt vanaf nu ook meegecompileerd indien de configure optie --enable-experimental
  niet is meegegeven (maar het is nog niet mogelijk om gebruik te maken van de MyFTD functies)
- Functie watchlist clear geimplementeerd en enkele Mozilla foutmeldingen (url can not be found)
  verholpen (vervangen door een 'Not yet implemented' meldingen)
- .SPEC bestand toegevoegd aan het project zodat binary RPM's van FTD4Linux
  gemaakt kunnen worden zonder problemen.

+=================+
| 0.8 Public Beta |
+=================+

Released -- 23 oktober 2004 --

- Project volledig opgesplitst in 5 losse onderdelen, namelijk ftd_core, gui,
  gui_config, gui_errhandler en console.
- Het project bestaat nu uit 2 frontends, namelijk de GUI en een console frontend.
  Met deze console frontend kunnen FTD gegevens benaderd worden vanuit de console
  of vanuit bijv. php scripts.
- Naamgeving van config/cache bestanden aangepast :
  ~/.ftd/ftd4linux.conf -- FTD4Linux instellingen
  ~/.ftd/ftd4linux.groups -- Nieuwsgroepen cache
  ~/.ftd/ftd4linux.posts -- Posts cache
  ~/.ftd/ftd4linux.mail -- FTD Mail cache
- Alle list-functies vervangen door efficientere code. Hierdoor zou het updaten
  en het aanmaken van de watchlist sneller moeten gaan dan voorheen.
- Indien een FTD posting heel veel reacties had (250+) kwam er een foutmelding
  tevoorschijn. Dit probleem is opgelost.
- Lijst met nieuwsgroepen wordt vanaf nu eenmalig opgehaald en lokaal bewaard.
  Hierdoor start het programma sneller op.
- FTD4Linux compatible gemaakt met Win32. De console versie werkt probleemloos
  onder Win32, de GUI valt te compileren onder Win32, maar is nog niet stabiel
  genoeg voor normaal gebruik (dankzij mozilla's gtkmozembed).
- FTD4Linux compatible gemaakt met MacOS X / Darwin. Verdere uitleg hierover valt te
  vinden op http://ftd4linux.2y.net/cgi-bin/ezmlm-cgi?mss:55:200410:fifbmbjlbegmdfoalbgg
  Op dit moment is hiervoor nog wel GTK nodig, maar een native GUI frontend
  voor Mac OS X is in de planning.
- Indien gebruikers kudos gedoneerd hadden bij FTD postings werd dit niet
  getoond, vanaf nu gebeurt dit wel.
- Indien op een link geklikt wordt binnen het programma, zal de standaardbrowser
  opgestart worden met de betreffende link. Dit werkt voor zowel Gnome als KDE.
- Tijdens het updaten wordt nu in de statusbalk getoond hoe ver deze taak klaar is.
- Bij sommige themes werd de tekst van de 'Toevoegen' knop in de toolbar afgekapt.
  Dit gebeurt vanaf nu niet meer.
- Nieuwe functie: Refresh, hiermee wordt van de huidig geopende FTD posting de
  gegevens/forumreacties opnieuw van de server gehaald en getoond.
- Nieuwe functie: Day Selector, hiermee is het mogelijk om alle FTD postings
  te zien die op een bepaalde dag zijn toegevoegd
- Nieuwe functie: Groepsfilter, hiermee kan je instellen welke nieuwsgroepen
  je niet kan bereiken via jouw provider. Alle FTD postings die in dergelijke
  nieuwsgroepen geplaatst zijn, zullen dan niet getoond worden.
- Nieuwe functie: Onder de lijst met categorien staat vanaf nu een lijst met
  nieuwsgroepen vermeld. Indien je op een nieuwsgroep klikt zullen alle FTD
  postings getoond worden die geplaatst zijn in de betreffende nieuwsgroep.

Helaas zit er in deze versie 1 'known bug', namelijk de volgende :
Bovenaan de lijst met nieuwsgroepen (onder de categorienlijst) hoort de optie
"* Alle nieuwsgroepen" te staan. Onder sommige linux distributies staat deze
optie niet bovenaan de lijst, maar onder de a2000 nieuwsgroepen. Dit zou
verder geen problemen of spontane crashes op moeten leveren.

+=================+
| 0.7 Public Beta |
+=================+

Niet uitgebracht vanwege omschakeling projectindeling

+==================+
| 0.6b Public Beta |
+==================+

Released -- 4 juli 2004 --

- Foutje in een van de Makefile's opgelost waardoor de emoticons niet juist
  geinstalleerd werden bij het 'make install' commando
- Lettertype in het status venster 'vriendelijker' gemaakt
- Indien de tray icon functionaliteit geactiveerd was, maar deze niet
  ondersteund werd door de window manager kon het FTD4Linux venster
  spoorloos verdwijnen. Fixed
- segmentation fault verholpen die optrad indien een FTD posting werd
  aangeklikt en direct (dus voordat het http request voltooid was) daarna
  op de knop 'updaten' werd gedrukt.

+==================+
| 0.6a Public Beta |
+==================+

Released -- 26 juni 2004 --

- In versie 0.6 mislukte het compileren indien GTK 2.4.x niet geinstalleerd was

+=================+
| 0.6 Public Beta |
+=================+

Released -- 24 juni 2004 --

Allereerst verwelkomen we Gerie Langeveld/Molniya als ons nieuwste teammember!

- Bug opgelost waardoor http requests altijd de melding 'geen data van server
  ontvangen' gaven indien er een fout was opgetreden (ipv. de juiste foutmelding)
- Tray icon toegevoegd. Deze valt vanuit het configuratievenster aan/uit te zetten
- Bug opgelost waardoor 'make install' op sommige systemen bestanden in de
  verkeerde map installeerde
- Bug opgelost waardoor de juiste curl.h niet gevonden werd tijdens het compileren
- Compile error in ftd_xslt.c die op sommige systemen zat opgelost
- De cache-opruim-functie ftd_event_list_cleanup aangepast zodat deze postings
  die in de watchlist staan NIET verwijdert als deze ouder is dan x dagen.

+==================+
| 0.5a Public Beta |
+==================+

Released -- 31 mei 2004 --

- Het is vanaf nu mogelijk om FTD accounts te registreren.
  Vanwege dat de ledenstop weer (tijdelijk?) is opgeheven
  is deze functionaliteit snel toegevoegd aan FTD4Linux.

+=================+
| 0.5 Public Beta |
+=================+

Released -- 24 mei 2004 --

Wijzigingen door Molniya :
- Berichten werden in het FTD Mail venster niet altijd opgeslagen. Fixed
- Indien een bad word (of een gedeelte hiervan) meerdere malen in de
  bad words list voorkwam, crashte het programma. Fixed
- Indien je in het FTD Mail venster op de knop 'Reageer' drukt zal er nu
  gecontroleerd worden of er reeds 'Re:' aan het begin van de tekst staat.
  Zoja, dan blijft deze daar staan zodat je niet 'Re: Re: Re: onderwerp' krijgt.

Wijzigingen door Alguno :
- Indien het eerste tabblad (lijst met postings) niet actief was en er
  een zoekopdracht uitgevoerd werd, kreeg het eerste tabblad niet de focus.
- Knop annuleren toegevoegd aan het 'plaats reactie/stuur FTD mail bericht' venster.
- Indien de lijst met ontvangen FTD mail berichten leeg is, het tabblad
  verzonden FTD mail actief is en het tabblad ontvangen FTD mail weer getoond
  wordt dan bleef in het gedeelte onderaan het laatst aangeklikte ontvangen
  FTD mail bericht zichtbaar. Fixed
- Knop Deleten in het FTD Mail venster operationeel gemaakt
- Extra error handling aan de zoekfunctie toegevoegd zodat deze niet de
  volledige lijst met alle FTD postings gaat tonen indien een lege of ongeldige
  zoekterm opgegeven wordt.
- Indien er meerdere malen tegelijkertijd op de knop 'Geef kudos' werd gedrukt, dan
  crashte het programma indien gebruik werd gemaakt van een van de kudos vensters. Fixed.
- In het venster 'plaats reactie/stuur FTD mail bericht' werd de horizontale
  scrollbar niet getoond terwijl deze wel verwacht werd. Fixed
- Extra controle toegevoegd aan het Badwords configuratievenster. Indien je een
  leeg woord probeert toe te voegen aan de bad words lijst zal het programma
  hier melding van maken.
- Indien er FTD postings uit de cache opgeruimd worden, zal automatisch gekeken
  worden of er nog FTD postings in de watchlist staan die verlopen zijn en zoja
  dan zullen deze verwijdert worden.
- Indien er in het FTD Mail venster op de knop 'Reageer' wordt gedrukt zal het
  venster 'plaats reactie/stuur FTD mail bericht' getoond worden. Het was eerst
  niet mogelijk om het subject te veranderen. Nu is dit wel mogelijk
- In sommige gevallen crashte het programma als op de knop 'Watchlist'
  werd gedrukt. Fixed.
- Indien vanuit het venster 'plaats reactie/stuur FTD mail bericht' een bericht
  werd verstuurd en er kwamen speciale karakters in voor (smilies, <ENTER>'s)
  dan werden deze niet goed verzonden. Fixed
- Indien vanuit het venster 'plaats reactie/stuur FTD mail bericht' op de 'OK'
  knop werd gedrukt en er geen geadresseerde, titel of bericht was ingevuld
  zou het programma crashen. Fixed
- Onder BSD varianten was er een compile error in de file
  src/http/ftd_http_curl.c. Fixed
- Vreemd gedrag dat optrad indien het versturen van een FTD Mail bericht
  mislukt was opgelost.
- De optie 'Verwijder posts na X Dagen' van het configuratievenster werkte niet
  indien GTK 2.2.x geinstalleerd was. Fixed
- In sommige gevallen crashte het programma indien op de knop 'Geef kudos'
  werd gedrukt. Fixed.

+=================+
| 0.4 Public Beta |
+=================+

Released -- 15 mei 2004 --

- Optie 'Verwijder postings na X dagen' toegevoegd. Dit levert een enorme
  snelheidswinst op indien de cache meer dan 10.000 FTD postings bevat
- De complete HTTP communicatie met de server vervangen door libcurl. Dit
  lost gelijk een aantal memory leaks op die in de oude HTTP code zaten en
  levert ook nog een snelheidswinst op.
- FTD4Linux is vanaf nu multithreaded. Dit wilt zeggen dat de communicatie
  met de FTD server in een aparte thread in de achtergrond draait en dat
  je in de tussentijd nog gewoon gebruik kan maken van het programma.
- Indien je op een FTD posting klikte werd er een nieuw tabblad aangemaakt
  met als titel 'Post info #123456'. Dit is nu vervangen door (een gedeelte
  van) de titel van de betreffende posting.
- FTD Mail verder afgemaakt. Indien een FTD Mail bericht aangeklikt wordt, dan
  zal deze getoond worden in het kader daaronder.
- Toolbar van FTD Mail van mooie iconen voorzien.
- Het is vanaf nu mogelijk om FTD Mail berichten te versturen naar
  andere FTD leden.
- Het is vanaf nu mogelijk om reacties te plaatsen op FTD postings.
- Begin gemaakt met de bouw van een plugin systeem waarmee plugins met externe
  applicaties kunnen communiceren. API documentatie hiervoor volgt later.
- Indien in de FTD posting info op het wereldbolletje geklikt wordt, dan zal
  het commando 'mozilla <url>' uitgevoerd worden. Dit is op dit moment nog een
  vrij primitieve methode, maar zal in een volgende versie verder uitgewerkt worden.

+=================+
| 0.3 Public Beta |
+=================+

Released -- 23 april 2004 --

- Filestable/par lijst in de posting info netjes gemaakt (thx to BigBen04)
- FTD Mail kan nu nieuwe berichten ophalen van de server en bewaren (deze
  mailtjes worden gelijk samengevoegd met reeds opgehaalde mailtjes)
- Watchlist operationeel gemaakt.
- About venster toegevoegd
- 'Bad words' functie toegevoegd aan het programma. Hiermee kunnen FTD postings
  die aan een 'bad word' voldoen volledig genegeerd worden.
- Bug opgelost waardoor in sommige gevallen bij het updaten een lege lijst werd getoond
- Toolbar netjes gemaakt
- Extra optie aan het configuratievenster toegevoegd waarmee het status venster
  aan/uitgezet kan worden indien de HTML pagina's geladen worden.
- Nog een extra optie aan het configuratievenster toegevoegd :
  Toon categoriseerde lijst bij het drukken op de knop 'Nieuw'
- FTD postings met daarin MP3 tracks worden nu ook netjes verwerkt en getoond.

+=================+
| 0.2 Public Beta |
+=================+

Released -- 21 maart 2004 --

- Als je op een FTD posting klikt worden nu ook de bijbehorende
  forumberichten getoond die bij de FTD posting horen.
- Speciale opmaak zoals smilies, quotes en vet/italic/underline worden
  nu juist verwerkt en getoond in de postinfo (m.u.v. [FTD] blokken)
- Workaround voor segmentation fault gemaakt die af en toe
  op trad als je voor de eerste keer op een categorie klikte.
  Dit komt dankzij een bug in de GTK versie's 2.2.2 t/m 2.2.4
  Wij raden vanaf nu iedereen aan om GTK 2.4.0 (of hoger) te installeren.
- De categoriseerde event list kan nu ook gesorteerd worden op
  velden zoals datum, title, etc.
- Begin gemaakt aan het onderdeel 'Nieuw FTD account aanmaken'.
  Dit onderdeel is nog lang niet operationeel vanwege de userstop bij FTD.
  (Code is wel aanwezig in het programma maar niet via de GUI te bedienen)
- Verder gewerkt aan het onderdeel FTD Mail (zowel low-level als gui).
  Het programma kan nu achterhalen of er nieuwe FTD Mail is of niet.
  Het daadwerkelijke ophalen en verwerken moet nog gebeuren.
- Verder gewerkt aan het maken van een nieuw FTD Mail bericht. Ditzelfde
  venster zal ook gebruikt worden om reacties op FTD postings te plaatsen.
- Configuratiescherm uitgebreid met de volgende opties :
  - Toon direct FTD posting info indien bij een zoekactie maar 1 resultaat is
  - Update de FTD postings bij het opstarten
  - Start het programma gemaximaliseerd op
- Configure procedure aangepast. Voor de externe libraries gtk2, glib,
  libxml en libxslt zal gebruik worden gemaakt van het programma pkg-config
  wat op vrijwel elke recente distro is meegeleverd. Zoekpaden van openssl
  en mozilla verder uitgebreid met alle paden die gebruikers ons gemeld
  hadden via het FTD forum. Als je nog handmatig de paden van openssl en/of
  mozilla aan ./configure moet meegeven dan horen we dat graag van je zodat
  we jouw paden toe kunnen voegen aan de lijst.
- Error handling gecentraliseerd. Hierdoor hebben we een heleboel dubbele
  (en tevens overbodige) code kunnen verwijderen.
- De status icoontjes in de event list en de event info klopten niet allemaal.
  Dit probleem is gerepareerd.
- Grote bug in de low level http communicatie opgelost.
- Diverse memory leaks opgelost.
- Warnings van deprecated onderdeel in de nieuwste libxml2 verholpen.
- Als de gebruiker op de categorie 'Verzamel' drukte, werd de categorie
  'Albums' getoond. Dit probleem is opgelost.
- Tijdens de make install wordt er een scriptje aangemaakt genaamd 'ftd' (het
  programma zelf heeft als naam 'ftd4linux' gekregen). Dit scriptje start
  het programma 'ftd4linux' op maar stelt ook gelijk de mozilla paden goed in.
  Dit zorgt ervoor dat gebruikers geen last meer hebben van het
  'error while loading shared libraries: libgtkembedmoz.so: cannot open shared
   object file: No such file or directory' probleem.

+=================+
| 0.1 Public Beta |
+=================+

= First public release =

Released 1 maart 2004

-    Eerste release van FTD4Linux!
-    Tonen van lijst met FTD postings operationeel
-    Updaten van lijst met nieuwe FTD postings operationeel
-    Sorteren van lijst met FTD postings operationeel
-    Zoekmachine operationeel
-    Categorie-lijst operationeel
-    Tonen van FTD posting info grotendeels operationeel (forum reacties nog niet)
-    Configuratiescherm operationeel
-    GUI's voor diverse andere schermen gemaakt, maar deze zijn nog niet operationeel verder
